Segments' ACL
Required feature (one of):
Section:
Group Segments' ACL. Base URL:https://instance_name.meiro.io/api/.
Segment's Users [/acl/segments/{segment_id}{?limit,offset,order_by,order_dir,load_full_structure}]
List All Segment's Users [GET]
Required feature (one of):
-
Segment ACL authorization
-
foreign_segments/view
-
foreign_segments/edit
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- order_by (string, optional) - Ordered column name
- order_dir (string, optional) - Ordering direction
- load_full_structure (number, optional) - Full data structure return flag
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"segment_users": [
{
"id": 1,
"permission": "write",
"created": "2018-03-26 15:08:33",
"user_id": 266,
"segment_id": 30
}
],
"selection_settings": {
"limit": 20,
"offset": null,
"order_by": "id",
"order_dir": "ASC"
}
}Create a Segment's User [POST]
Required feature (one of):
-
Segment ACL authorization
-
foreign_segments/edit
-
Parameters
- load_full_structure (number, optional) - Full data structure return flag
-
Attributes
- user_id:
266(number) - permission:
read|write(string)
- user_id:
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 201 (application/json)
{
"segment_user": {
"id": 68,
"permission": "read",
"created": "2018-03-26 19:50:46",
"user_id": 266,
"segment_id": 1
}
}Segment's User [/acl/segments/{segment_id}/users/{user_id}{?load_full_structure}]
- Parameters
- load_full_structure (number, optional) - Full data structure return flag
Modify a Segment's User [PATCH]
Required feature (one of):
-
Segment ACL authorization
-
foreign_segments/edit
-
Attributes
- permission:
read|write(string)
- permission:
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"segment_user": {
"id": 68,
"permission": "read",
"created": "2018-03-26 19:50:46",
"user_id": 266,
"segment_id": 1
}
}Delete a Segment's User [DELETE]
Required feature (one of):
-
Segment ACL authorization
-
foreign_segments/edit
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"message": "OK"
}User's Segments [/acl/users/{user_id}{?limit,offset,order_by,order_dir,include_deleted,load_full_structure}]
List All User's Segments [GET]
Required feature (one of):
-
User's access
-
settings/users
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- order_by (string, optional) - Ordered column name
- order_dir (string, optional) - Ordering direction
- include_deleted (number, optional) - Load deleted segments flag
- load_full_structure (number, optional) - Full data structure return flag
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"user_segments": [
{
"id": 1,
"permission": "write",
"created": "2018-03-26 15:08:33",
"user_id": 266,
"segment_id": 30
}
],
"selection_settings": {
"limit": 20,
"offset": null,
"order_by": "id",
"order_dir": "ASC",
"include_deleted": 0
}
}